{% macro render(widget, options={}) %}

    {# backgroundColor: '#000', textColor: '#fff' #}

    {% set backgroundColor = widget.backgroundColor or options.backgroundColor %}
    {% set textColor = widget.textColor or options.textColor %}
    {% set size = widget.size or options.size %}

    {% if widget._exploreLink !== undefined %}
         {% set pageLink = widget._exploreLink._url %}
    {% elseif widget.pageLink !== undefined %}
        {% set pageLink = widget.pageLink.items[0]._page._url %}
    {% else %}
        {% set pageLink = widget.link.items[0]._page._url %}
    {% endif %}
   
    {% if widget.sectionLink !== undefined %}
        {% set href = pageLink + widget.sectionLink %}
    {% else %}
        {% set href = pageLink %}
    {% endif %}

    {% if size !== undefined and size !== '' %}
        <div class="{{ size }}">
    {% endif %}

        <a href="{{ href }}" 
            class="link-with-underline {% if options.animation  %} {{ options.animation }} {%endif%}" 
            {% if backgroundColor  %} style="background-color: {{ backgroundColor }}" {% endif %}
        >
            <span class="link-text" {% if backgroundColor  %} style="color: {{ textColor }}" {% endif %}>{{ widget.label }}</span>
            <span class="underline" {% if textColor  %} style="background-color: {{ textColor }}" {% endif %}></span>

        </a>

    {% if size !== undefined and size !== '' %}
        </div>
    {% endif %}

{% endmacro %}